[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#601943: unblock: emdebian-crush/2.2.5.1



On Sun, 31 Oct 2010 12:25:18 +0000
"Adam D. Barratt" <adam@adam-barratt.org.uk> wrote:

> On Sun, 2010-10-31 at 09:04 +0000, Neil Williams wrote:
> > Please unblock package emdebian-crush @ 2.2.5.1
> > 
> > As part of the fix for #540341 (and, in turn, #591457),
> > emdebian-crush 2.2.5.1 drops the dependency on apt-cross by
> > removing the emchain tool which is already deprecated in Emdebian.
> > The package also includes a fix for the internationalisation
> > of pdebuild-cross, ported from version 2.2.6 which is targeting
> > experimental.
> 
> Just to double-check, I assume the dependencies on
> libdebian-dpkgcross-perl and libfile-homedir-perl were only required
> for the "emchain" script?

Yes.

Both libfile-homedir-perl and libdebian-dpkgcross-perl were also used
for emprunecross and gccross but both were removed from the package at
version 2.2.3. Dependencies on apt-cross tended to flow into
dependencies on File::HomeDir, Debian::DpkgCross as well as the
libcache-apt-perl modules of Cache::Apt::*.

-- 


Neil Williams
=============
http://www.linux.codehelp.co.uk/

Attachment: pgp4S_MeJk2IL.pgp
Description: PGP signature


Reply to: